6.0.0-git
2021-01-18

[#6371] Calendar Perms with Frombackend/tobackend hook
Summary Calendar Perms with Frombackend/tobackend hook
Queue Kronolith
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester grahamcw (at) hurleybulldogs (dot) com
Created 2008-03-04 (4703 days ago)
Due
Updated 2008-09-22 (4501 days ago)
Assigned 2008-06-30 (4585 days ago)
Resolved 2008-09-22 (4501 days ago)
Milestone
Patch No

History
2008-09-22 21:00:17 Jan Schneider Comment #7
State ⇒ Resolved
Reply to this comment
Fixed for Horde 3.3.
2008-09-22 20:56:44 Jan Schneider Deleted Original Message
 
2008-06-30 19:54:06 Chuck Hagenbuch State ⇒ Assigned
 
2008-05-27 13:56:36 grahamcw (at) hurleybulldogs (dot) com Comment #5 Reply to this comment
My intention is to have the backend see my users as 
username@domain.name but to have them be able to refer on the front 
end side to  just username.  This works fine as my perms are all 
username@domain.name

I think reversing them will break this.
2008-05-24 17:12:55 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
On further investigation it looks to me as if you are using the hooks 
exactly in the wrong direction. What happens if you exchange the 
methods?
2008-03-23 11:26:44 Jan Schneider State ⇒ Assigned
 
2008-03-23 10:31:57 grahamcw (at) hurleybulldogs (dot) com Comment #3 Reply to this comment
Yes -  this is a dupllicate of 6333.

My Apology.
2008-03-22 23:45:15 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Isn't this the same you reported in bug #6333?
2008-03-04 22:02:01 Chuck Hagenbuch Assigned to Jan Schneider
State ⇒ Assigned
 
2008-03-04 21:34:23 grahamcw (at) hurleybulldogs (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Calendar Perms with Frombackend/tobackend hook
Queue ⇒ Kronolith
New Attachment: k-perms.patch
Reply to this comment
I use  frombackend/tobackend  hooks to add a domain  name to my userid.

I was changing permissions to a shared calendar.



I entered someusername as user and set permissions and saved permissions

then went to add another - someusername2 - when I save permissions

my existing  someusername shows up , but also a new 
someusername@mydomainname .

I add a third user someusername3

and I end up with these usernames

someuername

someusername@mydomainname@mydomainname

someusername2

someusername2@mydomainname

someusername3



so now I go to delete everything  and add them to a group -

I clear all the permissions on all the names names

but all 3 origionals names stay there

someusername

someusername2

someusername3



Looks like kronolith/templates/perms/perms.inc is not consistently 
unhooking $users



Patch attached

Saved Queries